
From: Yoichi Yuasa <yuasa@hh.iij4u.or.jp>

This patch has changed system type name in proc for vr41xx.

Signed-off-by: Yoichi Yuasa <yuasa@hh.iij4u.or.jp>
Cc: Ralf Baechle <ralf@linux-mips.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 dev/null                              |  119 ----------------------------------
 arch/mips/Makefile                    |    4 -
 arch/mips/vr41xx/casio-e55/setup.c    |    5 -
 arch/mips/vr41xx/common/Makefile      |    2 
 arch/mips/vr41xx/common/type.c        |   24 ++++++
 arch/mips/vr41xx/ibm-workpad/setup.c  |    5 -
 arch/mips/vr41xx/nec-cmbvr4133/init.c |   12 ---
 7 files changed, 25 insertions(+), 146 deletions(-)

diff -puN arch/mips/Makefile~mips-change-system-type-name-in-proc-for-vr41xx arch/mips/Makefile
--- devel/arch/mips/Makefile~mips-change-system-type-name-in-proc-for-vr41xx	2005-08-01 16:54:55.000000000 -0700
+++ devel-akpm/arch/mips/Makefile	2005-08-01 16:54:55.000000000 -0700
@@ -490,13 +490,11 @@ load-$(CONFIG_NEC_CMBVR4133)	+= 0xffffff
 #
 # ZAO Networks Capcella (VR4131)
 #
-core-$(CONFIG_ZAO_CAPCELLA)	+= arch/mips/vr41xx/zao-capcella/
 load-$(CONFIG_ZAO_CAPCELLA)	+= 0xffffffff80000000
 
 #
 # Victor MP-C303/304 (VR4122)
 #
-core-$(CONFIG_VICTOR_MPC30X)	+= arch/mips/vr41xx/victor-mpc30x/
 load-$(CONFIG_VICTOR_MPC30X)	+= 0xffffffff80001000
 
 #
@@ -514,13 +512,11 @@ load-$(CONFIG_CASIO_E55)	+= 0xffffffff80
 #
 # TANBAC TB0226 Mbase (VR4131)
 #
-core-$(CONFIG_TANBAC_TB0226)	+= arch/mips/vr41xx/tanbac-tb0226/
 load-$(CONFIG_TANBAC_TB0226)	+= 0xffffffff80000000
 
 #
 # TANBAC TB0229 VR4131DIMM (VR4131)
 #
-core-$(CONFIG_TANBAC_TB0229)	+= arch/mips/vr41xx/tanbac-tb0229/
 load-$(CONFIG_TANBAC_TB0229)	+= 0xffffffff80000000
 
 #
diff -puN arch/mips/vr41xx/casio-e55/setup.c~mips-change-system-type-name-in-proc-for-vr41xx arch/mips/vr41xx/casio-e55/setup.c
--- devel/arch/mips/vr41xx/casio-e55/setup.c~mips-change-system-type-name-in-proc-for-vr41xx	2005-08-01 16:54:55.000000000 -0700
+++ devel-akpm/arch/mips/vr41xx/casio-e55/setup.c	2005-08-01 16:54:55.000000000 -0700
@@ -23,11 +23,6 @@
 #include <asm/io.h>
 #include <asm/vr41xx/e55.h>
 
-const char *get_system_type(void)
-{
-	return "CASIO CASSIOPEIA E-11/15/55/65";
-}
-
 static int __init casio_e55_setup(void)
 {
 	set_io_port_base(IO_PORT_BASE);
diff -puN arch/mips/vr41xx/common/Makefile~mips-change-system-type-name-in-proc-for-vr41xx arch/mips/vr41xx/common/Makefile
--- devel/arch/mips/vr41xx/common/Makefile~mips-change-system-type-name-in-proc-for-vr41xx	2005-08-01 16:54:55.000000000 -0700
+++ devel-akpm/arch/mips/vr41xx/common/Makefile	2005-08-01 16:54:55.000000000 -0700
@@ -2,7 +2,7 @@
 # Makefile for common code of the NEC VR4100 series.
 #
 
-obj-y				+= bcu.o cmu.o icu.o init.o int-handler.o irq.o pmu.o
+obj-y				+= bcu.o cmu.o icu.o init.o int-handler.o irq.o pmu.o type.o
 obj-$(CONFIG_VRC4173)		+= vrc4173.o
 
 EXTRA_AFLAGS := $(CFLAGS)
diff -puN /dev/null arch/mips/vr41xx/common/type.c
--- /dev/null	2003-09-15 06:40:47.000000000 -0700
+++ devel-akpm/arch/mips/vr41xx/common/type.c	2005-08-01 16:54:55.000000000 -0700
@@ -0,0 +1,24 @@
+/*
+ *  type.c, System type for NEC VR4100 series.
+ *
+ *  Copyright (C) 2005  Yoichi Yuasa <yuasa@hh.iij4u.or.jp>
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */
+
+const char *get_system_type(void)
+{
+	return "NEC VR4100 series";
+}
diff -puN arch/mips/vr41xx/ibm-workpad/setup.c~mips-change-system-type-name-in-proc-for-vr41xx arch/mips/vr41xx/ibm-workpad/setup.c
--- devel/arch/mips/vr41xx/ibm-workpad/setup.c~mips-change-system-type-name-in-proc-for-vr41xx	2005-08-01 16:54:55.000000000 -0700
+++ devel-akpm/arch/mips/vr41xx/ibm-workpad/setup.c	2005-08-01 16:54:55.000000000 -0700
@@ -23,11 +23,6 @@
 #include <asm/io.h>
 #include <asm/vr41xx/workpad.h>
 
-const char *get_system_type(void)
-{
-	return "IBM WorkPad z50";
-}
-
 static int __init ibm_workpad_setup(void)
 {
 	set_io_port_base(IO_PORT_BASE);
diff -puN arch/mips/vr41xx/nec-cmbvr4133/init.c~mips-change-system-type-name-in-proc-for-vr41xx arch/mips/vr41xx/nec-cmbvr4133/init.c
--- devel/arch/mips/vr41xx/nec-cmbvr4133/init.c~mips-change-system-type-name-in-proc-for-vr41xx	2005-08-01 16:54:55.000000000 -0700
+++ devel-akpm/arch/mips/vr41xx/nec-cmbvr4133/init.c	2005-08-01 16:54:55.000000000 -0700
@@ -16,11 +16,6 @@
  * Manish Lachwani (mlachwani@mvista.com)
  */
 #include <linux/config.h>
-#include <linux/init.h>
-#include <linux/kernel.h>
-#include <linux/string.h>
-
-#include <asm/bootinfo.h>
 
 #ifdef CONFIG_ROCKHOPPER
 #include <asm/io.h>
@@ -28,14 +23,7 @@
 
 #define PCICONFDREG	0xaf000c14
 #define PCICONFAREG	0xaf000c18
-#endif
-
-const char *get_system_type(void)
-{
-	return "NEC CMB-VR4133";
-}
 
-#ifdef CONFIG_ROCKHOPPER
 void disable_pcnet(void)
 {
 	u32 data;
diff -L arch/mips/vr41xx/tanbac-tb0226/Makefile -puN arch/mips/vr41xx/tanbac-tb0226/Makefile~mips-change-system-type-name-in-proc-for-vr41xx /dev/null
--- devel/arch/mips/vr41xx/tanbac-tb0226/Makefile
+++ /dev/null	2003-09-15 06:40:47.000000000 -0700
@@ -1,5 +0,0 @@
-#
-# Makefile for the TANBAC TB0226 specific parts of the kernel
-#
-
-obj-y			+= setup.o
diff -L arch/mips/vr41xx/tanbac-tb0226/setup.c -puN arch/mips/vr41xx/tanbac-tb0226/setup.c~mips-change-system-type-name-in-proc-for-vr41xx /dev/null
--- devel/arch/mips/vr41xx/tanbac-tb0226/setup.c
+++ /dev/null	2003-09-15 06:40:47.000000000 -0700
@@ -1,24 +0,0 @@
-/*
- *  setup.c, Setup for the TANBAC TB0226.
- *
- *  Copyright (C) 2002-2005  Yoichi Yuasa <yuasa@hh.iij4u.or.jp>
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
- */
-
-const char *get_system_type(void)
-{
-	return "TANBAC TB0226";
-}
diff -L arch/mips/vr41xx/tanbac-tb0229/Makefile -puN arch/mips/vr41xx/tanbac-tb0229/Makefile~mips-change-system-type-name-in-proc-for-vr41xx /dev/null
--- devel/arch/mips/vr41xx/tanbac-tb0229/Makefile
+++ /dev/null	2003-09-15 06:40:47.000000000 -0700
@@ -1,5 +0,0 @@
-#
-# Makefile for the TANBAC TB0229(VR4131DIMM) specific parts of the kernel
-#
-
-obj-y				:= setup.o
diff -L arch/mips/vr41xx/tanbac-tb0229/setup.c -puN arch/mips/vr41xx/tanbac-tb0229/setup.c~mips-change-system-type-name-in-proc-for-vr41xx /dev/null
--- devel/arch/mips/vr41xx/tanbac-tb0229/setup.c
+++ /dev/null	2003-09-15 06:40:47.000000000 -0700
@@ -1,27 +0,0 @@
-/*
- *  setup.c, Setup for the TANBAC TB0229 (VR4131DIMM)
- *
- *  Copyright (C) 2002-2005  Yoichi Yuasa <yuasa@hh.iij4u.or.jp>
- *
- *  Modified for TANBAC TB0229:
- *  Copyright (C) 2003  Megasolution Inc.  <matsu@megasolution.jp>
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
- */
-
-const char *get_system_type(void)
-{
-	return "TANBAC TB0229";
-}
diff -L arch/mips/vr41xx/victor-mpc30x/Makefile -puN arch/mips/vr41xx/victor-mpc30x/Makefile~mips-change-system-type-name-in-proc-for-vr41xx /dev/null
--- devel/arch/mips/vr41xx/victor-mpc30x/Makefile
+++ /dev/null	2003-09-15 06:40:47.000000000 -0700
@@ -1,5 +0,0 @@
-#
-# Makefile for the Victor MP-C303/304 specific parts of the kernel
-#
-
-obj-y			+= setup.o
diff -L arch/mips/vr41xx/victor-mpc30x/setup.c -puN arch/mips/vr41xx/victor-mpc30x/setup.c~mips-change-system-type-name-in-proc-for-vr41xx /dev/null
--- devel/arch/mips/vr41xx/victor-mpc30x/setup.c
+++ /dev/null	2003-09-15 06:40:47.000000000 -0700
@@ -1,24 +0,0 @@
-/*
- *  setup.c, Setup for the Victor MP-C303/304.
- *
- *  Copyright (C) 2002-2005  Yoichi Yuasa <yuasa@hh.iij4u.or.jp>
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
- */
-
-const char *get_system_type(void)
-{
-	return "Victor MP-C303/304";
-}
diff -L arch/mips/vr41xx/zao-capcella/Makefile -puN arch/mips/vr41xx/zao-capcella/Makefile~mips-change-system-type-name-in-proc-for-vr41xx /dev/null
--- devel/arch/mips/vr41xx/zao-capcella/Makefile
+++ /dev/null	2003-09-15 06:40:47.000000000 -0700
@@ -1,5 +0,0 @@
-#
-# Makefile for the ZAO Networks Capcella  specific parts of the kernel
-#
-
-obj-y			+= setup.o
diff -L arch/mips/vr41xx/zao-capcella/setup.c -puN arch/mips/vr41xx/zao-capcella/setup.c~mips-change-system-type-name-in-proc-for-vr41xx /dev/null
--- devel/arch/mips/vr41xx/zao-capcella/setup.c
+++ /dev/null	2003-09-15 06:40:47.000000000 -0700
@@ -1,24 +0,0 @@
-/*
- *  setup.c, Setup for the ZAO Networks Capcella.
- *
- *  Copyright (C) 2002-2005  Yoichi Yuasa <yuasa@hh.iij4u.or.jp>
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; either version 2 of the License, or
- *  (at your option) any later version.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
- */
-
-const char *get_system_type(void)
-{
-	return "ZAO Networks Capcella";
-}
_
